Changeset 2420 for ThirdParty/SCIP


Ignore:
Timestamp:
Aug 26, 2011 10:39:46 AM (8 years ago)
Author:
stefan
Message:

sync with trunk rev2419

Location:
ThirdParty/SCIP/stable/1.0
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/stable/1.0

  • ThirdParty/SCIP/stable/1.0/Makefile.in

    r2414 r2420  
    464464INSTALL_SCRIPT = @INSTALL_SCRIPT@
    465465INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     466IPOPT_CFLAGS = @IPOPT_CFLAGS@
     467IPOPT_CFLAGS_INSTALLED = @IPOPT_CFLAGS_INSTALLED@
     468IPOPT_DATA = @IPOPT_DATA@
     469IPOPT_DATA_INSTALLED = @IPOPT_DATA_INSTALLED@
     470IPOPT_DEPENDENCIES = @IPOPT_DEPENDENCIES@
     471IPOPT_LIBS = @IPOPT_LIBS@
     472IPOPT_LIBS_INSTALLED = @IPOPT_LIBS_INSTALLED@
    466473LDFLAGS = @LDFLAGS@
    467474LIBEXT = @LIBEXT@
  • ThirdParty/SCIP/stable/1.0/config_scip.h.in

    r2257 r2420  
    1212/* Define to 1 if the Gurobi package is available */
    1313#undef COIN_HAS_GRB
     14
     15/* Define to 1 if the Ipopt package is available */
     16#undef COIN_HAS_IPOPT
    1417
    1518/* Define to 1 if the Mosek package is available */
  • ThirdParty/SCIP/stable/1.0/configure

    r2418 r2420  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE SCIPLPI_SPX_TRUE SCIPLPI_SPX_FALSE SCIPLPI_CLP_TRUE SCIPLPI_CLP_FALSE SCIPLPI_CPX_TRUE SCIPLPI_CPX_FALSE SCIPLPI_MSK_TRUE SCIPLPI_MSK_FALSE SCIPLPI_XPR_TRUE SCIPLPI_XPR_FALSE SCIPLPI_GRB_TRUE SCIPLPI_GRB_FALSE SCIPLPI_QSO_TRUE SCIPLPI_QSO_FALSE SCIPLPI_NONE_TRUE SCIPLPI_NONE_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE CPPAD_LIBS CPPAD_CFLAGS CPPAD_DATA CPPAD_DEPENDENCIES CPPAD_LIBS_INSTALLED CPPAD_CFLAGS_INSTALLED CPPAD_DATA_INSTALLED COIN_HAS_CPPAD_TRUE COIN_HAS_CPPAD_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11451145  --with-scip-lpsolver    specify LP solver to use in SCIP (soplex, clp,
    11461146                          cplex, mosek, xpress, gurobi, qsopt, none)
     1147  --with-ipopt-lib linker flags for using package Ipopt
     1148  --with-ipopt-incdir directory with header files for using package Ipopt
     1149  --with-ipopt-datadir directory with data files for using package Ipopt
    11471150  --with-cppad-lib linker flags for using package CppAD
    11481151  --with-cppad-incdir directory with header files for using package CppAD
     
    64246427*-*-irix6*)
    64256428  # Find out which ABI we are using.
    6426   echo '#line 6426 "configure"' > conftest.$ac_ext
     6429  echo '#line 6429 "configure"' > conftest.$ac_ext
    64276430  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64286431  (eval $ac_compile) 2>&5
     
    75587561
    75597562# Provide some information about the compiler.
    7560 echo "$as_me:7560:" \
     7563echo "$as_me:7563:" \
    75617564     "checking for Fortran 77 compiler version" >&5
    75627565ac_compiler=`set X $ac_compile; echo $2`
     
    86258628   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86268629   -e 's:$: $lt_compiler_flag:'`
    8627    (eval echo "\"\$as_me:8627: $lt_compile\"" >&5)
     8630   (eval echo "\"\$as_me:8630: $lt_compile\"" >&5)
    86288631   (eval "$lt_compile" 2>conftest.err)
    86298632   ac_status=$?
    86308633   cat conftest.err >&5
    8631    echo "$as_me:8631: \$? = $ac_status" >&5
     8634   echo "$as_me:8634: \$? = $ac_status" >&5
    86328635   if (exit $ac_status) && test -s "$ac_outfile"; then
    86338636     # The compiler can only warn and ignore the option if not recognized
     
    88938896   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88948897   -e 's:$: $lt_compiler_flag:'`
    8895    (eval echo "\"\$as_me:8895: $lt_compile\"" >&5)
     8898   (eval echo "\"\$as_me:8898: $lt_compile\"" >&5)
    88968899   (eval "$lt_compile" 2>conftest.err)
    88978900   ac_status=$?
    88988901   cat conftest.err >&5
    8899    echo "$as_me:8899: \$? = $ac_status" >&5
     8902   echo "$as_me:8902: \$? = $ac_status" >&5
    89008903   if (exit $ac_status) && test -s "$ac_outfile"; then
    89018904     # The compiler can only warn and ignore the option if not recognized
     
    89979000   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89989001   -e 's:$: $lt_compiler_flag:'`
    8999    (eval echo "\"\$as_me:8999: $lt_compile\"" >&5)
     9002   (eval echo "\"\$as_me:9002: $lt_compile\"" >&5)
    90009003   (eval "$lt_compile" 2>out/conftest.err)
    90019004   ac_status=$?
    90029005   cat out/conftest.err >&5
    9003    echo "$as_me:9003: \$? = $ac_status" >&5
     9006   echo "$as_me:9006: \$? = $ac_status" >&5
    90049007   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90059008   then
     
    1134211345  lt_status=$lt_dlunknown
    1134311346  cat > conftest.$ac_ext <<EOF
    11344 #line 11344 "configure"
     11347#line 11347 "configure"
    1134511348#include "confdefs.h"
    1134611349
     
    1144211445  lt_status=$lt_dlunknown
    1144311446  cat > conftest.$ac_ext <<EOF
    11444 #line 11444 "configure"
     11447#line 11447 "configure"
    1144511448#include "confdefs.h"
    1144611449
     
    1378613789   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1378713790   -e 's:$: $lt_compiler_flag:'`
    13788    (eval echo "\"\$as_me:13788: $lt_compile\"" >&5)
     13791   (eval echo "\"\$as_me:13791: $lt_compile\"" >&5)
    1378913792   (eval "$lt_compile" 2>conftest.err)
    1379013793   ac_status=$?
    1379113794   cat conftest.err >&5
    13792    echo "$as_me:13792: \$? = $ac_status" >&5
     13795   echo "$as_me:13795: \$? = $ac_status" >&5
    1379313796   if (exit $ac_status) && test -s "$ac_outfile"; then
    1379413797     # The compiler can only warn and ignore the option if not recognized
     
    1389013893   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389113894   -e 's:$: $lt_compiler_flag:'`
    13892    (eval echo "\"\$as_me:13892: $lt_compile\"" >&5)
     13895   (eval echo "\"\$as_me:13895: $lt_compile\"" >&5)
    1389313896   (eval "$lt_compile" 2>out/conftest.err)
    1389413897   ac_status=$?
    1389513898   cat out/conftest.err >&5
    13896    echo "$as_me:13896: \$? = $ac_status" >&5
     13899   echo "$as_me:13899: \$? = $ac_status" >&5
    1389713900   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1389813901   then
     
    1546015463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546115464   -e 's:$: $lt_compiler_flag:'`
    15462    (eval echo "\"\$as_me:15462: $lt_compile\"" >&5)
     15465   (eval echo "\"\$as_me:15465: $lt_compile\"" >&5)
    1546315466   (eval "$lt_compile" 2>conftest.err)
    1546415467   ac_status=$?
    1546515468   cat conftest.err >&5
    15466    echo "$as_me:15466: \$? = $ac_status" >&5
     15469   echo "$as_me:15469: \$? = $ac_status" >&5
    1546715470   if (exit $ac_status) && test -s "$ac_outfile"; then
    1546815471     # The compiler can only warn and ignore the option if not recognized
     
    1556415567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1556515568   -e 's:$: $lt_compiler_flag:'`
    15566    (eval echo "\"\$as_me:15566: $lt_compile\"" >&5)
     15569   (eval echo "\"\$as_me:15569: $lt_compile\"" >&5)
    1556715570   (eval "$lt_compile" 2>out/conftest.err)
    1556815571   ac_status=$?
    1556915572   cat out/conftest.err >&5
    15570    echo "$as_me:15570: \$? = $ac_status" >&5
     15573   echo "$as_me:15573: \$? = $ac_status" >&5
    1557115574   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1557215575   then
     
    1777117774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777217775   -e 's:$: $lt_compiler_flag:'`
    17773    (eval echo "\"\$as_me:17773: $lt_compile\"" >&5)
     17776   (eval echo "\"\$as_me:17776: $lt_compile\"" >&5)
    1777417777   (eval "$lt_compile" 2>conftest.err)
    1777517778   ac_status=$?
    1777617779   cat conftest.err >&5
    17777    echo "$as_me:17777: \$? = $ac_status" >&5
     17780   echo "$as_me:17780: \$? = $ac_status" >&5
    1777817781   if (exit $ac_status) && test -s "$ac_outfile"; then
    1777917782     # The compiler can only warn and ignore the option if not recognized
     
    1803918042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804018043   -e 's:$: $lt_compiler_flag:'`
    18041    (eval echo "\"\$as_me:18041: $lt_compile\"" >&5)
     18044   (eval echo "\"\$as_me:18044: $lt_compile\"" >&5)
    1804218045   (eval "$lt_compile" 2>conftest.err)
    1804318046   ac_status=$?
    1804418047   cat conftest.err >&5
    18045    echo "$as_me:18045: \$? = $ac_status" >&5
     18048   echo "$as_me:18048: \$? = $ac_status" >&5
    1804618049   if (exit $ac_status) && test -s "$ac_outfile"; then
    1804718050     # The compiler can only warn and ignore the option if not recognized
     
    1814318146   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1814418147   -e 's:$: $lt_compiler_flag:'`
    18145    (eval echo "\"\$as_me:18145: $lt_compile\"" >&5)
     18148   (eval echo "\"\$as_me:18148: $lt_compile\"" >&5)
    1814618149   (eval "$lt_compile" 2>out/conftest.err)
    1814718150   ac_status=$?
    1814818151   cat out/conftest.err >&5
    18149    echo "$as_me:18149: \$? = $ac_status" >&5
     18152   echo "$as_me:18152: \$? = $ac_status" >&5
    1815018153   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815118154   then
     
    2334623349
    2334723350# check for NLP solvers
    23348 #AC_COIN_CHECK_PACKAGE(Ipopt, ipopt != 3.9trunk, SCIPLib)
     23351if test $scipver -ge 202 ; then
     23352
     23353echo "$as_me:$LINENO: checking for COIN-OR package Ipopt" >&5
     23354echo $ECHO_N "checking for COIN-OR package Ipopt... $ECHO_C" >&6
     23355
     23356coin_has_ipopt=notGiven
     23357
     23358# check if user wants to skip package in any case
     23359if test x"$COIN_SKIP_PROJECTS" != x; then
     23360  for dir in $COIN_SKIP_PROJECTS; do
     23361    if test $dir = "Ipopt"; then
     23362      coin_has_ipopt=skipping
     23363    fi
     23364  done
     23365fi
     23366
     23367if test "$coin_has_ipopt" != skipping; then
     23368
     23369# Check whether --with-m4_tolower(Ipopt) or --without-m4_tolower(Ipopt) was given.
     23370if test "${with_ipopt+set}" = set; then
     23371  withval="$with_ipopt"
     23372  if test "$withval" = no ; then
     23373       coin_has_ipopt=skipping
     23374     fi
     23375
     23376fi;
     23377fi
     23378
     23379IPOPT_LIBS=
     23380IPOPT_CFLAGS=
     23381IPOPT_DATA=
     23382IPOPT_DEPENDENCIES=
     23383IPOPT_PCLIBS=
     23384IPOPT_PCREQUIRES=
     23385IPOPT_DATA=
     23386
     23387
     23388
     23389
     23390
     23391
     23392
     23393
     23394
     23395
     23396
     23397
     23398
     23399
     23400
     23401
     23402
     23403#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     23404if test $coin_has_ipopt != skipping; then
     23405
     23406# Check whether --with-m4_tolower(Ipopt)-lib or --without-m4_tolower(Ipopt)-lib was given.
     23407if test "${with_ipopt_lib+set}" = set; then
     23408  withval="$with_ipopt_lib"
     23409  if test "$withval" = no ; then
     23410       coin_has_ipopt=skipping
     23411     else
     23412       coin_has_ipopt=yes
     23413       IPOPT_LIBS="$withval"
     23414       IPOPT_PCLIBS="$withval"
     23415
     23416         SCIPLIB_PCLIBS="$withval $SCIPLIB_PCLIBS"
     23417         SCIPLIB_LIBS="$withval $SCIPLIB_LIBS"
     23418
     23419       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23420       if test -z "$PKG_CONFIG" ; then
     23421         IPOPT_LIBS_INSTALLED="$withval"
     23422         SCIPLIB_LIBS_INSTALLED="$withval $SCIPLIB_LIBS_INSTALLED"
     23423       fi
     23424     fi
     23425
     23426fi;
     23427fi
     23428
     23429if test $coin_has_ipopt != skipping; then
     23430
     23431# Check whether --with-m4_tolower(Ipopt)-incdir or --without-m4_tolower(Ipopt)-incdir was given.
     23432if test "${with_ipopt_incdir+set}" = set; then
     23433  withval="$with_ipopt_incdir"
     23434  if test "$withval" = no ; then
     23435       coin_has_ipopt=skipping
     23436     else
     23437       coin_has_ipopt=yes
     23438       IPOPT_CFLAGS="-I`${CYGPATH_W} $withval`"
     23439       SCIPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $SCIPLIB_CFLAGS"
     23440       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23441       if test -z "$PKG_CONFIG" ; then
     23442         IPOPT_CFLAGS_INSTALLED="$IPOPT_CFLAGS"
     23443         SCIPLIB_CFLAGS_INSTALLED="$IPOPT_CFLAGS $SCIPLIB_CFLAGS_INSTALLED"
     23444       fi
     23445     fi
     23446
     23447fi;
     23448fi
     23449
     23450if test $coin_has_ipopt != skipping; then
     23451
     23452# Check whether --with-m4_tolower(Ipopt)-datadir or --without-m4_tolower(Ipopt)-datadir was given.
     23453if test "${with_ipopt_datadir+set}" = set; then
     23454  withval="$with_ipopt_datadir"
     23455  if test "$withval" = no ; then
     23456       coin_has_ipopt=skipping
     23457     else
     23458       coin_has_ipopt=yes
     23459       IPOPT_DATA="$withval"
     23460       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23461       if test -z "$PKG_CONFIG" ; then
     23462         IPOPT_DATA_INSTALLED="$withval"
     23463       fi
     23464     fi
     23465
     23466fi;
     23467fi
     23468
     23469if test $coin_has_ipopt = notGiven; then
     23470  if test -n "$PKG_CONFIG" ; then
     23471    # set search path for pkg-config
     23472    # need to export variable to be sure that the following pkg-config gets these values
     23473    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     23474    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     23475    export PKG_CONFIG_PATH
     23476
     23477    # let pkg-config do it's magic
     23478
     23479
     23480
     23481if test -n "$PKG_CONFIG" ; then
     23482  if $PKG_CONFIG --exists "ipopt"; then
     23483    IPOPT_VERSIONS=`$PKG_CONFIG --modversion "ipopt" 2>/dev/null | tr '\n' ' '`
     23484     cflags=`$PKG_CONFIG --cflags "ipopt" 2>/dev/null`
     23485    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     23486        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     23487        # but only do this if is not trivial
     23488    if test "$CYGPATH_W" != "echo" ; then
     23489      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     23490      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23491    fi
     23492    IPOPT_CFLAGS="$cflags"
     23493    IPOPT_LIBS=`$PKG_CONFIG --libs "ipopt" 2>/dev/null`
     23494    IPOPT_DATA=`$PKG_CONFIG --variable=datadir "ipopt" 2>/dev/null`
     23495     coin_has_ipopt=yes
     23496        echo "$as_me:$LINENO: result: yes: $IPOPT_VERSIONS" >&5
     23497echo "${ECHO_T}yes: $IPOPT_VERSIONS" >&6
     23498
     23499        # adjust linker flags for (i)cl compiler
     23500        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     23501        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     23502        then
     23503          IPOPT_LIBS=`echo " $IPOPT_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     23504        fi
     23505        IPOPT_PCREQUIRES="ipopt"
     23506
     23507        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in SCIPLib
     23508
     23509          SCIPLIB_PCREQUIRES="ipopt $SCIPLIB_PCREQUIRES"
     23510          SCIPLIB_CFLAGS="$IPOPT_CFLAGS $SCIPLIB_CFLAGS"
     23511          SCIPLIB_LIBS="$IPOPT_LIBS $SCIPLIB_LIBS"
     23512
     23513
     23514
     23515  else
     23516    IPOPT_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "ipopt"`
     23517      coin_has_ipopt=notGiven
     23518        echo "$as_me:$LINENO: result: not given: $IPOPT_PKG_ERRORS" >&5
     23519echo "${ECHO_T}not given: $IPOPT_PKG_ERRORS" >&6
     23520
     23521  fi
     23522else
     23523  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Ipopt without pkg-config\"" >&5
     23524echo "$as_me: error: \"Cannot check for existance of module Ipopt without pkg-config\"" >&2;}
     23525   { (exit 1); exit 1; }; }
     23526fi
     23527
     23528
     23529
     23530
     23531    # reset PKG_CONFIG_PATH variable
     23532    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     23533    export PKG_CONFIG_PATH
     23534
     23535  else
     23536    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     23537echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     23538
     23539echo "$as_me:$LINENO: checking for COIN-OR package Ipopt (fallback)" >&5
     23540echo $ECHO_N "checking for COIN-OR package Ipopt (fallback)... $ECHO_C" >&6
     23541
     23542coin_has_ipopt=notGiven
     23543IPOPT_LIBS=
     23544IPOPT_LIBS_INSTALLED=
     23545IPOPT_CFLAGS=
     23546IPOPT_CFLAGS_INSTALLED=
     23547IPOPT_DATA=
     23548IPOPT_DATA_INSTALLED=
     23549IPOPT_PCLIBS=
     23550IPOPT_PCREQUIRES=
     23551
     23552# initial list of dependencies is "ipopt", but we need to filter out version number specifications (= x, <= x, >= x, != x)
     23553projtoprocess="ipopt"
     23554
     23555# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     23556# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     23557# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     23558# also, we setup the DATA variable
     23559allproj=""
     23560allpcfiles=""
     23561allpcifiles=""
     23562while test "x$projtoprocess" != x ; do
     23563
     23564  for proj in $projtoprocess ; do
     23565    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     23566    pcfile=""
     23567    save_IFS="$IFS"
     23568    IFS=":"
     23569    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     23570      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     23571      if test -r "$dir/${proj}-uninstalled.pc" ; then
     23572        pcfile="$dir/$proj-uninstalled.pc"
     23573        if test -r "$dir/${proj}.pc" ; then
     23574          pcifile="$dir/${proj}.pc"
     23575        else
     23576          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     23577echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     23578          pcifile=
     23579        fi
     23580        break
     23581      fi
     23582    done
     23583    IFS="$save_IFS"
     23584
     23585    if test "x$pcfile" != x ; then
     23586      # read dependencies from $pcfile and filter it
     23587      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     23588
     23589      # add projrequires to the front of the list of projects that have to be processed next
     23590      # at the same time, remove $proj from this list
     23591      projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
     23592
     23593      # read DATA from $pcfile, if _DATA is still empty
     23594      if test "x$IPOPT_DATA" = x ; then
     23595        projdatadir=
     23596        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     23597        eval `sh -c "$pcfilemod"`
     23598        IPOPT_DATA="$projdatadir"
     23599      fi
     23600
     23601      allproj="$allproj $proj"
     23602      allpcfiles="$pcfile:$allpcfiles"
     23603
     23604    else
     23605      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     23606echo "${ECHO_T}no, dependency $proj not available" >&6
     23607      allproj=fail
     23608      break 2
     23609    fi
     23610
     23611    if test "x$pcifile" != x ; then
     23612      allpcifiles="$pcifile:$allpcifiles"
     23613
     23614      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     23615      if test "x$IPOPT_DATA_INSTALLED" = x ; then
     23616        projdatadir=
     23617        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     23618        eval `sh -c "$pcifilemod"`
     23619        if test "${CYGPATH_W}" != "echo"; then
     23620          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     23621        fi
     23622        IPOPT_DATA_INSTALLED="$projdatadir"
     23623      fi
     23624
     23625    fi
     23626
     23627    break
     23628  done
     23629
     23630  # remove spaces on begin of $projtoprocess
     23631  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     23632
     23633done
     23634
     23635if test "$allproj" != fail ; then
     23636
     23637  # now go through the list of .pc files and assemble compiler and linker flags
     23638  # important is here to obey the reverse order that has been setup before,
     23639  # since then libraries that are required by several others should be after these other libraries
     23640  pcfilesprocessed=""
     23641
     23642  save_IFS="$IFS"
     23643  IFS=":"
     23644  for pcfile in $allpcfiles ; do
     23645
     23646    # if $pcfile has been processed already, skip this round
     23647    if test "x$pcfilesprocessed" != x ; then
     23648      for pcfiledone in $pcfilesprocessed ; do
     23649        if test "$pcfiledone" = "$pcfile" ; then
     23650          continue 2
     23651        fi
     23652      done
     23653    fi
     23654
     23655    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     23656    #   replace "Libs:" by "echo projlibs="
     23657    #   replace "Cflags:" by "echo projcflags="
     23658    #   remove every line starting with <some word>:
     23659    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     23660
     23661    # set projcflags and projlibs variables by running $pcfilemod
     23662    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     23663    projcflags=
     23664    projlibs=
     23665    IFS="$save_IFS"
     23666    eval `sh -c "$pcfilemod"`
     23667    IFS=":"
     23668
     23669    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     23670    if test "${CYGPATH_W}" != "echo"; then
     23671      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23672    fi
     23673    IPOPT_CFLAGS="$projcflags $IPOPT_CFLAGS"
     23674
     23675    # set LIBS variable
     23676    IPOPT_LIBS="$projlibs $IPOPT_LIBS"
     23677
     23678    # remember that we have processed $pcfile
     23679    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     23680
     23681  done
     23682  IFS="$save_IFS"
     23683
     23684
     23685  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     23686  # important is here again to obey the reverse order that has been setup before,
     23687  # since then libraries that are required by several others should be after these other libraries
     23688  pcfilesprocessed=""
     23689
     23690  save_IFS="$IFS"
     23691  IFS=":"
     23692  for pcfile in $allpcifiles ; do
     23693
     23694    # if $pcfile has been processed already, skip this round
     23695    if test "x$pcfilesprocessed" != x ; then
     23696      for pcfiledone in $pcfilesprocessed ; do
     23697        if test "$pcfiledone" = "$pcfile" ; then
     23698          continue 2
     23699        fi
     23700      done
     23701    fi
     23702
     23703    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     23704    #   replace "Libs:" by "echo projlibs="
     23705    #   replace "Cflags:" by "echo projcflags="
     23706    #   remove every line starting with <some word>:
     23707    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     23708
     23709    # set projcflags and projlibs variables by running $pcfilemod
     23710    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     23711    projcflags=
     23712    projlibs=
     23713    IFS="$save_IFS"
     23714    eval `sh -c "$pcfilemod"`
     23715    IFS=":"
     23716
     23717    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     23718    if test "${CYGPATH_W}" != "echo"; then
     23719      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23720    fi
     23721    IPOPT_CFLAGS_INSTALLED="$projcflags $IPOPT_CFLAGS_INSTALLED"
     23722
     23723    # set LIBS variable
     23724    IPOPT_LIBS_INSTALLED="$projlibs $IPOPT_LIBS_INSTALLED"
     23725
     23726    # remember that we have processed $pcfile
     23727    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     23728
     23729  done
     23730  IFS="$save_IFS"
     23731
     23732
     23733  # finish up
     23734  coin_has_ipopt=yes
     23735  echo "$as_me:$LINENO: result: yes" >&5
     23736echo "${ECHO_T}yes" >&6
     23737
     23738cat >>confdefs.h <<\_ACEOF
     23739#define COIN_HAS_IPOPT 1
     23740_ACEOF
     23741
     23742
     23743  # adjust linker flags for (i)cl compiler
     23744  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     23745  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     23746  #    everything of the form "-lname" by "libname.lib", and
     23747  #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
     23748  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     23749  then
     23750    IPOPT_LIBS=`echo " $IPOPT_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     23751    IPOPT_LIBS_INSTALLED=`echo " $IPOPT_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
     23752  fi
     23753
     23754  IPOPT_PCREQUIRES="ipopt"
     23755
     23756    SCIPLIB_PCREQUIRES="ipopt $SCIPLIB_PCREQUIRES"
     23757    SCIPLIB_CFLAGS="$IPOPT_CFLAGS $SCIPLIB_CFLAGS"
     23758    SCIPLIB_LIBS="$IPOPT_LIBS $SCIPLIB_LIBS"
     23759    SCIPLIB_CFLAGS_INSTALLED="$IPOPT_CFLAGS_INSTALLED $SCIPLIB_CFLAGS_INSTALLED"
     23760    SCIPLIB_LIBS_INSTALLED="$IPOPT_LIBS_INSTALLED $SCIPLIB_LIBS_INSTALLED"
     23761
     23762
     23763fi
     23764
     23765
     23766
     23767if test $coin_has_ipopt != notGiven &&
     23768                test $coin_has_ipopt != skipping; then
     23769  COIN_HAS_IPOPT_TRUE=
     23770  COIN_HAS_IPOPT_FALSE='#'
     23771else
     23772  COIN_HAS_IPOPT_TRUE='#'
     23773  COIN_HAS_IPOPT_FALSE=
     23774fi
     23775
     23776
     23777
     23778  fi
     23779
     23780else
     23781  echo "$as_me:$LINENO: result: $coin_has_ipopt" >&5
     23782echo "${ECHO_T}$coin_has_ipopt" >&6
     23783fi
     23784
     23785if test $coin_has_ipopt != skipping &&
     23786   test $coin_has_ipopt != notGiven ; then
     23787
     23788cat >>confdefs.h <<\_ACEOF
     23789#define COIN_HAS_IPOPT 1
     23790_ACEOF
     23791
     23792
     23793  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     23794if test "${enable_interpackage_dependencies+set}" = set; then
     23795  enableval="$enable_interpackage_dependencies"
     23796
     23797else
     23798  enable_interpackage_dependencies=yes
     23799fi;
     23800
     23801  if test $enable_interpackage_dependencies = yes ; then
     23802     # construct dependencies variables from LIBS variables
     23803     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     23804     # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     23805     # then remove everything of the form -xxx
     23806     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     23807     IPOPT_DEPENDENCIES=`echo " $IPOPT_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23808
     23809       SCIPLIB_DEPENDENCIES=`echo " $SCIPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23810
     23811  fi
     23812
     23813  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     23814    if test -n "$IPOPT_CFLAGS" ; then
     23815      { echo "$as_me:$LINENO: Ipopt CFLAGS are $IPOPT_CFLAGS" >&5
     23816echo "$as_me: Ipopt CFLAGS are $IPOPT_CFLAGS" >&6;}
     23817    fi
     23818    if test -n "$IPOPT_LIBS" ; then
     23819      { echo "$as_me:$LINENO: Ipopt LIBS   are $IPOPT_LIBS" >&5
     23820echo "$as_me: Ipopt LIBS   are $IPOPT_LIBS" >&6;}
     23821    fi
     23822    if test -n "$IPOPT_DEPENDENCIES" ; then
     23823      { echo "$as_me:$LINENO: Ipopt DEPENDENCIES are $IPOPT_DEPENDENCIES" >&5
     23824echo "$as_me: Ipopt DEPENDENCIES are $IPOPT_DEPENDENCIES" >&6;}
     23825    fi
     23826    if test -n "$IPOPT_DATA" ; then
     23827      { echo "$as_me:$LINENO: Ipopt DATA   is  $IPOPT_DATA" >&5
     23828echo "$as_me: Ipopt DATA   is  $IPOPT_DATA" >&6;}
     23829    fi
     23830    if test -n "$IPOPT_PCLIBS" ; then
     23831      { echo "$as_me:$LINENO: Ipopt PCLIBS are $IPOPT_PCLIBS" >&5
     23832echo "$as_me: Ipopt PCLIBS are $IPOPT_PCLIBS" >&6;}
     23833    fi
     23834    if test -n "$IPOPT_PCREQUIRES" ; then
     23835      { echo "$as_me:$LINENO: Ipopt PCREQUIRES are $IPOPT_PCREQUIRES" >&5
     23836echo "$as_me: Ipopt PCREQUIRES are $IPOPT_PCREQUIRES" >&6;}
     23837    fi
     23838
     23839      { echo "$as_me:$LINENO: SCIPLib CFLAGS are $SCIPLIB_CFLAGS" >&5
     23840echo "$as_me: SCIPLib CFLAGS are $SCIPLIB_CFLAGS" >&6;}
     23841      { echo "$as_me:$LINENO: SCIPLib LIBS   are $SCIPLIB_LIBS" >&5
     23842echo "$as_me: SCIPLib LIBS   are $SCIPLIB_LIBS" >&6;}
     23843      { echo "$as_me:$LINENO: SCIPLib DEPENDENCIES are $SCIPLIB_DEPENDENCIES" >&5
     23844echo "$as_me: SCIPLib DEPENDENCIES are $SCIPLIB_DEPENDENCIES" >&6;}
     23845
     23846  fi
     23847fi
     23848
     23849# Define the Makefile conditional
     23850
     23851
     23852if test $coin_has_ipopt != notGiven &&
     23853                test $coin_has_ipopt != skipping; then
     23854  COIN_HAS_IPOPT_TRUE=
     23855  COIN_HAS_IPOPT_FALSE='#'
     23856else
     23857  COIN_HAS_IPOPT_TRUE='#'
     23858  COIN_HAS_IPOPT_FALSE=
     23859fi
     23860
     23861
     23862
     23863else
    2334923864
    2335023865
     
    2335723872fi
    2335823873
     23874fi
    2335923875
    2336023876# check for CppAD
     
    2520425720Usually this means the macro was only invoked conditionally." >&5
    2520525721echo "$as_me: error: conditional \"SCIPLPI_NONE\" was never defined.
     25722Usually this means the macro was only invoked conditionally." >&2;}
     25723   { (exit 1); exit 1; }; }
     25724fi
     25725if test -z "${COIN_HAS_IPOPT_TRUE}" && test -z "${COIN_HAS_IPOPT_FALSE}"; then
     25726  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_IPOPT\" was never defined.
     25727Usually this means the macro was only invoked conditionally." >&5
     25728echo "$as_me: error: conditional \"COIN_HAS_IPOPT\" was never defined.
     25729Usually this means the macro was only invoked conditionally." >&2;}
     25730   { (exit 1); exit 1; }; }
     25731fi
     25732if test -z "${COIN_HAS_IPOPT_TRUE}" && test -z "${COIN_HAS_IPOPT_FALSE}"; then
     25733  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_IPOPT\" was never defined.
     25734Usually this means the macro was only invoked conditionally." >&5
     25735echo "$as_me: error: conditional \"COIN_HAS_IPOPT\" was never defined.
    2520625736Usually this means the macro was only invoked conditionally." >&2;}
    2520725737   { (exit 1); exit 1; }; }
     
    2593226462s,@SCIPLPI_NONE_TRUE@,$SCIPLPI_NONE_TRUE,;t t
    2593326463s,@SCIPLPI_NONE_FALSE@,$SCIPLPI_NONE_FALSE,;t t
     26464s,@IPOPT_LIBS@,$IPOPT_LIBS,;t t
     26465s,@IPOPT_CFLAGS@,$IPOPT_CFLAGS,;t t
     26466s,@IPOPT_DATA@,$IPOPT_DATA,;t t
     26467s,@IPOPT_DEPENDENCIES@,$IPOPT_DEPENDENCIES,;t t
     26468s,@IPOPT_LIBS_INSTALLED@,$IPOPT_LIBS_INSTALLED,;t t
     26469s,@IPOPT_CFLAGS_INSTALLED@,$IPOPT_CFLAGS_INSTALLED,;t t
     26470s,@IPOPT_DATA_INSTALLED@,$IPOPT_DATA_INSTALLED,;t t
     26471s,@SCIPLIB_CFLAGS@,$SCIPLIB_CFLAGS,;t t
     26472s,@SCIPLIB_LIBS@,$SCIPLIB_LIBS,;t t
     26473s,@SCIPLIB_PCLIBS@,$SCIPLIB_PCLIBS,;t t
     26474s,@SCIPLIB_PCREQUIRES@,$SCIPLIB_PCREQUIRES,;t t
     26475s,@SCIPLIB_DEPENDENCIES@,$SCIPLIB_DEPENDENCIES,;t t
     26476s,@SCIPLIB_CFLAGS_INSTALLED@,$SCIPLIB_CFLAGS_INSTALLED,;t t
     26477s,@SCIPLIB_LIBS_INSTALLED@,$SCIPLIB_LIBS_INSTALLED,;t t
    2593426478s,@COIN_HAS_IPOPT_TRUE@,$COIN_HAS_IPOPT_TRUE,;t t
    2593526479s,@COIN_HAS_IPOPT_FALSE@,$COIN_HAS_IPOPT_FALSE,;t t
     
    2594126485s,@CPPAD_CFLAGS_INSTALLED@,$CPPAD_CFLAGS_INSTALLED,;t t
    2594226486s,@CPPAD_DATA_INSTALLED@,$CPPAD_DATA_INSTALLED,;t t
    25943 s,@SCIPLIB_CFLAGS@,$SCIPLIB_CFLAGS,;t t
    25944 s,@SCIPLIB_LIBS@,$SCIPLIB_LIBS,;t t
    25945 s,@SCIPLIB_PCLIBS@,$SCIPLIB_PCLIBS,;t t
    25946 s,@SCIPLIB_PCREQUIRES@,$SCIPLIB_PCREQUIRES,;t t
    25947 s,@SCIPLIB_DEPENDENCIES@,$SCIPLIB_DEPENDENCIES,;t t
    25948 s,@SCIPLIB_CFLAGS_INSTALLED@,$SCIPLIB_CFLAGS_INSTALLED,;t t
    25949 s,@SCIPLIB_LIBS_INSTALLED@,$SCIPLIB_LIBS_INSTALLED,;t t
    2595026487s,@COIN_HAS_CPPAD_TRUE@,$COIN_HAS_CPPAD_TRUE,;t t
    2595126488s,@COIN_HAS_CPPAD_FALSE@,$COIN_HAS_CPPAD_FALSE,;t t
  • ThirdParty/SCIP/stable/1.0/configure.ac

    r2418 r2420  
    187187
    188188# check for NLP solvers
    189 #AC_COIN_CHECK_PACKAGE(Ipopt, ipopt != 3.9trunk, SCIPLib)
    190 AM_CONDITIONAL(COIN_HAS_IPOPT, test 0 = 1)
     189if test $scipver -ge 202 ; then
     190  AC_COIN_CHECK_PACKAGE(Ipopt, ipopt, SCIPLib)
     191else
     192  AM_CONDITIONAL(COIN_HAS_IPOPT, test 0 = 1)
     193fi
    191194
    192195# check for CppAD
Note: See TracChangeset for help on using the changeset viewer.